# run this to knit the .Rmd to an html file
library(markdown)
library(bookdown)
library(dkUtils)

library(weGotThePower)

repoLoc <- dkUtils::findParentDirectory("weGotThePower")

# this will fail if you do not have access to the UoO GREENGrid Data archive (via HCS)

# it will also sometimes fail on the small sample section due to random processes. Just re-run it.

rmdFile <- paste0(repoLoc, "/code/weGotThePower.Rmd")
rmarkdown::render(input = rmdFile,
                  output_format = "html_document2",
                  output_file = paste0(repoLoc, "/output/weGotThePower.html")
                  )